﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EntityFramework;
using System.Threading.Tasks;


namespace Api_UT
{
    [TestClass]
    public class EntityTest
    {
        [TestMethod]
        public void TestAdd()
        {
            var options = new DbContextOptionsBuilder<LoLDbContext>()
                .UseInMemoryDatabase(databaseName: "Add_Test_database").Options;


            //prepares the database with one instance of the context
            using (var context = new LoLDbContext(options))
            {

                ChampionEntity chewie = new ChampionEntity("Chewbacca");
                ChampionEntity yoda = new ChampionEntity("Yoda");
                ChampionEntity ewok = new ChampionEntity("Ewok");


                Console.WriteLine("Creates and inserts new Champion for tests");
                context.Add(chewie);
                context.Add(yoda);
                context.Add(ewok);
                context.SaveChanges();
            }

            //prepares the database with one instance of the context
            using (var context = new LoLDbContext(options))
            {
                Assert.AreEqual(3, context.Champions.Count());
                Assert.AreEqual("Chewbacca", context.Champions.First().name);
            }
        }
    }
}
